--Siegfried Fennig 19.01.2003 Rev. 0

levelw = 20
levelh = 13

create_world(levelw, levelh)
draw_border("st-greenbrown")
fill_floor("fl-leaves", 0,0, level_width,level_height)
enigma.ConserveLevel = FALSE

oxyd_default_flavor = "d"

oxyd( 1, 1)
oxyd( 1, 3)
oxyd( 1, 5)
oxyd( 1, 7)
oxyd( 1, 9)
oxyd( 1,11)
oxyd(18, 1)
oxyd(18, 3)
oxyd(18, 5)
oxyd(18, 7)
oxyd(18, 9)
oxyd(18,11)

oxyd_shuffle()

draw_stones("st-greenbrown", { 1, 2}, {1,0}, 4)
draw_stones("st-greenbrown", { 7, 2}, {1,0},12)
draw_stones("st-greenbrown", { 1, 4}, {1,0}, 4)
draw_stones("st-greenbrown", {15, 4}, {1,0}, 2)
draw_stones("st-greenbrown", { 3, 6}, {1,0}, 2)
draw_stones("st-greenbrown", {15, 6}, {1,0}, 4)
draw_stones("st-greenbrown", { 1, 8}, {1,0}, 4)
draw_stones("st-greenbrown", {15, 8}, {1,0}, 2)
draw_stones("st-greenbrown", { 3,10}, {1,0},10)
draw_stones("st-greenbrown", {15,10}, {1,0}, 4)
set_stones("st-greenbrown", {{1,6},{18,4},{1,10},{18,8}})

set_stone("st-oneway_black", 3, 3, {orientation=enigma.WEST})
set_stone("st-oneway_black", 4, 5, {orientation=enigma.EAST})
set_stone("st-oneway_black", 2, 6, {orientation=enigma.NORTH})
set_stone("st-oneway_white", 2,10, {orientation=enigma.SOUTH})
set_stone("st-oneway_white",17, 4, {orientation=enigma.SOUTH})
set_stone("st-oneway_white",15, 5, {orientation=enigma.WEST})
set_stone("st-oneway_black",17, 8, {orientation=enigma.SOUTH})
set_stone("st-oneway_black",15, 9, {orientation=enigma.WEST})

set_stones("st-yinyang1",{{4,1},{9,1},{5,2},{6,2},{4,3},
                         {15,3},{4,7},{4,9},{15,7},{13,10},
                         {14,10},{10,11},{15,11}})

set_item("it-yinyang",  8, 6)
set_item("it-yinyang", 11, 6)

set_actor("ac-blackball", 8.5, 6.5, {player=0})
set_actor("ac-whiteball",11.5, 6.5, {player=1})